﻿/*
 * Created by SharpDevelop.
 * User: Marco José
 * Date: 09-01-2007
 * Time: 20:20
 */

using System;

namespace adav
{
	
	public enum TiposUtilizador 
	{ 
		NONE,
		OPERADOR, 
		SUPERVISOR 
	}
	
	public enum OperationStatus 
	{
		OK						,
		ERROR					,
		LOGIN_INVALIDO			,
		INVALID_OPERATION		,

		CARTAO_CRIADO			,
		CARTAO_CANCELADO		,
		PLANO_TARIFARIO_ALTERADO,
		CARREGAMENTO_EFECTUADO	,
		CARREGAMENTO_FALHOU		,
		
		CHAMADA_INICIADA		,
		CHAMADA_TERMINADA		,
		
		CLIENTE_CRIADO			,
		CARTAO_ASSOCIADO		,
		DADOS_ALTERADOS			,
		
		TARIFARIO_CRIADO		,
		TARIFARIO_ALTERADO			
	}

	public static class EstadoChamada 
	{ 
		public static char DESLIGADO	= 'D'; 
		public static char EM_ESPERA	= 'E'; 
		public static char A_CHAMAR		= 'C';
		public static char ACTIVO		= 'A';
	}
	
	public static class DiaSemana 
	{
		public static int Domingo	= 1;
		public static int Segunda	= 2;
		public static int Terca 	= 3;
		public static int Quarta	= 4;
		public static int Quinta 	= 5;
		public static int Sexta 	= 6;
		public static int Sabado	= 7;
	}

	public static class Rede
	{
		public static int MesmaRede	= 1;
		public static int RedeX		= 2;
		public static int RedeY		= 3;
		public static int RedeZ		= 4;
	}
	
	public static class Unidade
	{
		public static int _1_SEGUNDO	= 1;
		public static int _10_SEGUNDOS	= 2;
		public static int _60_SEGUNDO	= 3;
	}
	
	public static class TipoCartao
	{
		public static char PRE_PAGO_DBVALUE		= 'R';
		public static char POS_PAGO_DBVALUE		= 'A';
		public static string PRE_PAGO_STRING	= "PRÉ-PAGO";
		public static string POS_PAGO_STRING	= "PÓS-PAGO";
	}

	public static class EstadoCartao
	{
		public static char ACTIVADO		= 'A';
		public static char DESACTIVADO	= 'D';
	}

}
