﻿/*
 * Created by SharpDevelop.
 * User: Marco José
 * Date: 28-01-2007
 * Time: 18:33
 */

using System;
using System.Drawing;
using System.Windows.Forms;
using adav;

namespace adavGUI
{
	/// <summary>
	/// Description of LoginForm.
	/// </summary>
	public partial class LoginForm
	{
		public LoginForm()
		{
			//
			// The InitializeComponent() call is required for Windows Forms designer support.
			//
			InitializeComponent();
			
			//
			// TODO: Add constructor code after the InitializeComponent() call.
			//
		}
		
		void BtnOKClick(object sender, System.EventArgs e)
		{
			IUtilizador user = new Utilizador();
			OperationStatus status = user.Login(txbUser.Text,txbPassword.Text);
			if(status == OperationStatus.OK) {
				MessageBox.Show("login valido");
				UserSettings.Username = txbUser.Text;
				UserSettings.Password = txbPassword.Text;
				TiposUtilizador tipo = DBHelper.GetUserType(txbUser.Text,txbPassword.Text);
				if(tipo == TiposUtilizador.OPERADOR)
					UserSettings.Tipo = 'O';
				if(tipo == TiposUtilizador.SUPERVISOR)
					UserSettings.Tipo = 'S';
				this.DialogResult = DialogResult.OK;
			}
			else {
				MessageBox.Show("Erro de validação!");
				this.DialogResult = DialogResult.None;
			}
		}
	}
}
